#include "support.h"
#include <string.h>
#include <ctype.h>

void reverse(char *start, char *end)
{
   char tmp;
   
   for ( ; start <= end; ++start, --end ) 
   {
        tmp   = *start;
        *start = *end;
        *end   = tmp;
   }
}

void reverse_address(char *an_address)
{
    int i;
    int len = strlen(an_address);		    // an_address = mendola@bigfoot.com

    reverse( an_address, an_address+len-1); // an_address = moc.toofgib@alodnem

    char *start = an_address;
    char *end;

	for (i=0; i<len; ++i )
	{
			if ( an_address[i] == '@'  || an_address[i] == '.' )
			{
					end = &an_address[i-1];
					reverse(start, end);
		start = &an_address[i+1];
			}
	}
	reverse(start, &an_address[len-1]);
											// an_address = com.bigfoot@mendola
}

void strlower(char * a_string )
{
	char *anchor = a_string;

	while (*a_string != '\0') 
	{
		*a_string = tolower((unsigned char) *a_string);
		++a_string;
	}

	a_string = anchor;

}
